summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-12-03 17:43:32 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-12-03 18:01:39 +0100
commitc96e81087ffa6f944548d2279c822f825065f220 (patch)
treeb069f766eb1e8811819753399f5a4f03dc440b72
parentprofiles: powerpc: Mask net-irc/quassel[kde] (diff)
downloadgentoo-c96e81087ffa6f944548d2279c822f825065f220.tar.gz
gentoo-c96e81087ffa6f944548d2279c822f825065f220.tar.bz2
gentoo-c96e81087ffa6f944548d2279c822f825065f220.zip
net-irc/quassel: Drop USE=qt5, build with Qt5 unconditionally
Acked-by: Patrick Lauer <patrick@gentoo.org> Closes: https://bugs.gentoo.org/639608 Closes: https://bugs.gentoo.org/603074 Package-Manager: Portage-2.3.16, Repoman-2.3.6
-rw-r--r--net-irc/quassel/Manifest2
-rw-r--r--net-irc/quassel/quassel-0.12.4.ebuild92
2 files changed, 30 insertions, 64 deletions
diff --git a/net-irc/quassel/Manifest b/net-irc/quassel/Manifest
index 9b785e5065a..06198ad4ee5 100644
--- a/net-irc/quassel/Manifest
+++ b/net-irc/quassel/Manifest
@@ -1 +1 @@
-DIST quassel-0.12.4.tar.bz2 3742639 SHA256 93e4e54cb3743cbe2e5684c2fcba94fd2bc2cd739f7672dee14341b49c29444d SHA512 66bc12a9634534e6492787172a199c774ef1642d1ddb268c24ed96608698628bca7b278021a006a4db76783b19b1e1dead9d019bb8a6cbe1e12b8857792e7b92 WHIRLPOOL 13a6078aa8f0a3d039e9c240c870a13744b3eb3324f45508f62a37aa8da13c0b00f94f53fe2602762503459a1110e3796673c104397b37297390cc406f2eaa66
+DIST quassel-0.12.4.tar.bz2 3742639 BLAKE2B 855caaf3eb5373008dc3c6f673b68aa1bbb601541ba5eb6c9402f421ec6b1dc933c58785181ca8b3f2fd899ba91a873458ede06f0fda2a3e970980f395742be2 SHA512 66bc12a9634534e6492787172a199c774ef1642d1ddb268c24ed96608698628bca7b278021a006a4db76783b19b1e1dead9d019bb8a6cbe1e12b8857792e7b92
diff --git a/net-irc/quassel/quassel-0.12.4.ebuild b/net-irc/quassel/quassel-0.12.4.ebuild
index 4b8e4eb39be..fea12b014b0 100644
--- a/net-irc/quassel/quassel-0.12.4.ebuild
+++ b/net-irc/quassel/quassel-0.12.4.ebuild
@@ -15,69 +15,43 @@ HOMEPAGE="http://quassel-irc.org/"
LICENSE="GPL-3"
KEYWORDS="amd64 ~arm ~ppc x86 ~amd64-linux ~sparc-solaris"
SLOT="0"
-IUSE="ayatana crypt dbus debug kde monolithic phonon postgres qt5 +server
+IUSE="crypt dbus debug kde monolithic phonon postgres +server
snorenotify +ssl syslog webkit X"
SERVER_RDEPEND="
- qt5? (
- dev-qt/qtscript:5
- crypt? ( app-crypt/qca:2[qt5,ssl] )
- postgres? ( dev-qt/qtsql:5[postgres] )
- !postgres? ( dev-qt/qtsql:5[sqlite] dev-db/sqlite:3[threadsafe(+),-secure-delete] )
- )
- !qt5? (
- dev-qt/qtscript:4
- crypt? ( app-crypt/qca:2[qt4,ssl] )
- postgres? ( dev-qt/qtsql:4[postgres] )
- !postgres? ( dev-qt/qtsql:4[sqlite] dev-db/sqlite:3[threadsafe(+),-secure-delete] )
- )
+ dev-qt/qtscript:5
+ crypt? ( app-crypt/qca:2[qt5(+),ssl] )
+ postgres? ( dev-qt/qtsql:5[postgres] )
+ !postgres? ( dev-qt/qtsql:5[sqlite] dev-db/sqlite:3[threadsafe(+),-secure-delete] )
syslog? ( virtual/logger )
"
GUI_RDEPEND="
- qt5? (
- dev-qt/qtgui:5
- dev-qt/qtwidgets:5
- dbus? (
- >=dev-libs/libdbusmenu-qt-0.9.3_pre20140619[qt5(+)]
- dev-qt/qtdbus:5
- )
- kde? (
- kde-frameworks/kconfigwidgets:5
- kde-frameworks/kcoreaddons:5
- kde-frameworks/knotifications:5
- kde-frameworks/knotifyconfig:5
- kde-frameworks/ktextwidgets:5
- kde-frameworks/kwidgetsaddons:5
- kde-frameworks/kxmlgui:5
- kde-frameworks/sonnet:5
- )
- phonon? ( media-libs/phonon[qt5(+)] )
- snorenotify? ( >=x11-libs/snorenotify-0.7.0 )
- webkit? ( dev-qt/qtwebkit:5 )
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ dbus? (
+ >=dev-libs/libdbusmenu-qt-0.9.3_pre20140619[qt5(+)]
+ dev-qt/qtdbus:5
)
- !qt5? (
- dev-qt/qtgui:4
- ayatana? ( dev-libs/libindicate-qt )
- dbus? (
- >=dev-libs/libdbusmenu-qt-0.9.3_pre20140619[qt4]
- dev-qt/qtdbus:4
- kde? (
- kde-frameworks/kdelibs:4
- kde-frameworks/oxygen-icons:*
- )
- )
- phonon? ( media-libs/phonon[qt4] )
+ kde? (
+ kde-frameworks/kconfigwidgets:5
+ kde-frameworks/kcoreaddons:5
+ kde-frameworks/knotifications:5
+ kde-frameworks/knotifyconfig:5
+ kde-frameworks/ktextwidgets:5
+ kde-frameworks/kwidgetsaddons:5
+ kde-frameworks/kxmlgui:5
+ kde-frameworks/sonnet:5
)
+ phonon? ( media-libs/phonon[qt5(+)] )
+ snorenotify? ( >=x11-libs/snorenotify-0.7.0 )
+ webkit? ( dev-qt/qtwebkit:5 )
"
RDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtnetwork:5[ssl?]
sys-libs/zlib
- qt5? (
- dev-qt/qtcore:5
- dev-qt/qtnetwork:5[ssl?]
- )
- !qt5? ( dev-qt/qtcore:4[ssl?] )
monolithic? (
${SERVER_RDEPEND}
${GUI_RDEPEND}
@@ -88,26 +62,22 @@ RDEPEND="
)
"
DEPEND="${RDEPEND}
- qt5? (
- dev-qt/linguist-tools:5
- kde-frameworks/extra-cmake-modules
- )
+ dev-qt/linguist-tools:5
+ kde-frameworks/extra-cmake-modules
"
DOCS=( AUTHORS ChangeLog README )
REQUIRED_USE="
|| ( X server monolithic )
- ayatana? ( || ( X monolithic ) )
crypt? ( || ( server monolithic ) )
dbus? ( || ( X monolithic ) )
kde? ( || ( X monolithic ) phonon )
phonon? ( || ( X monolithic ) )
postgres? ( || ( server monolithic ) )
- qt5? ( !ayatana )
- snorenotify? ( qt5 || ( X monolithic ) )
+ snorenotify? ( || ( X monolithic ) )
syslog? ( || ( server monolithic ) )
- webkit? ( qt5 || ( X monolithic ) )
+ webkit? ( || ( X monolithic ) )
"
pkg_setup() {
@@ -122,17 +92,13 @@ pkg_setup() {
src_configure() {
local mycmakeargs=(
- $(cmake-utils_use_find_package ayatana IndicateQt)
- $(cmake-utils_use_find_package crypt QCA2)
$(cmake-utils_use_find_package crypt QCA2-QT5)
- $(cmake-utils_use_find_package dbus dbusmenu-qt)
$(cmake-utils_use_find_package dbus dbusmenu-qt5)
-DWITH_KDE=$(usex kde)
-DWITH_OXYGEN=$(usex !kde)
-DWANT_MONO=$(usex monolithic)
- $(cmake-utils_use_find_package phonon Phonon)
$(cmake-utils_use_find_package phonon Phonon4Qt5)
- -DUSE_QT5=$(usex qt5)
+ -DUSE_QT5=ON
-DWANT_CORE=$(usex server)
$(cmake-utils_use_find_package snorenotify LibsnoreQt5)
-DWITH_WEBKIT=$(usex webkit)